Subject: bug#7339: 23.2; term-mode vs clone-buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 May 2022 04:17:19 +0200

Kevin Ryde <[email-masked]> writes:

> A term-mode buffer doesn't seem to duplicate with M-x clone-buffer very
> well.  For example
>
>     emacs -Q
>     M-x term
>     top Ret        ;; run the "top" program
>     C-c M-x clone-buffer
>     => gets multiple inserts of the top output
>
> where I hoped the cloned buffer would have refreshing top output,
> instead of appending and growing the buffer.
>
> Nosing around the code it looks like clone-buffer runs up a new
> subprocess well enough, but that presumably something in the `term-mode'
> setups doesn't come out right.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I can confirm that this behaviour is still present in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no